Subject: Re: [PATCH v3 2/2] [POWERPC] MPC8568E-MDS: add support for flash

From: Anton Vorontsov <[email-masked]>
Date: Fri, 19 Oct 2007 02:29:27 +0400

On Thu, Oct 18, 2007 at 02:58:25PM -0500, Kumar Gala wrote:
[...]
> > +
> > +		flash@0,0 {
> > +			#address-cells = <1>;
> > +			#size-cells = <1>;
> > +			compatible = "Spansion,S29GL256N11TFIV2O", "cfi-flash";
> > +			reg = <0 0 2000000>;
> > +			bank-width = <2>;
> > +			device-width = <1>;
> > +
> 
> Are you basing the partition map on something or making it up?   
> Clearly hrcw & u-boot are at fixed offsets, wondering about kernel &  
> rootfs?

I'm making it up. From the brief look at the u-boot* git sources,
there is no `flashboot` yet, thus I'm free to make this up...

I've partitioned this flash based on these thoughts:

1. HRCW - whole sector, to not wear out it, plus it's impossible to
   create just 64 bytes partition;
2. Kernel - 2MB, should be enough for bootup kernels?
3. Rootfs - the rest up to...
4. U-Boot at the end.

I'm not saying that it's best map ever, I'm open to suggestions. ;-)

* Unfortunately I didn't look at the stock Freescale u-boot, maybe
  there was flashboot, most probably.. I'll find the CD to look this
  up.

Much thanks for noticing this,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2